Bug 434901 - USB drivers marked as being GPL only
USB drivers marked as being GPL only
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://ndiswrapper.sourceforge.net/jo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 23:44 EST by Axel Thimm
Modified: 2008-03-03 22:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 13:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-02-25 23:44:44 EST
Description of problem:
when building ndiswrapper and trying to insmod it I get many unresolved symbols:

ndiswrapper: Unknown symbol usb_alloc_urb
ndiswrapper: Unknown symbol usb_free_urb
ndiswrapper: Unknown symbol usb_get_current_frame_number
ndiswrapper: Unknown symbol usb_ifnum_to_if
ndiswrapper: Unknown symbol lockdep_init_map
ndiswrapper: Unknown symbol usb_register_driver
ndiswrapper: Unknown symbol mutex_lock_nested
ndiswrapper: Unknown symbol usb_clear_halt
ndiswrapper: Unknown symbol usb_reset_device
ndiswrapper: Unknown symbol usb_submit_urb
ndiswrapper: Unknown symbol flush_workqueue
ndiswrapper: Unknown symbol __create_workqueue_key
ndiswrapper: Unknown symbol destroy_workqueue
ndiswrapper: Unknown symbol usb_control_msg
ndiswrapper: Unknown symbol usb_set_interface
ndiswrapper: Unknown symbol usb_deregister
ndiswrapper: Unknown symbol usb_get_status
ndiswrapper: Unknown symbol usb_lock_device_for_reset
ndiswrapper: Unknown symbol usb_get_descriptor
ndiswrapper: Unknown symbol usb_unlink_urb
ndiswrapper: Unknown symbol queue_work
ndiswrapper: Unknown symbol task_nice
ndiswrapper: Unknown symbol usb_reset_configuration
ndiswrapper: Unknown symbol usb_kill_urb
ndiswrapper: Unknown symbol usb_buffer_free
ndiswrapper: Unknown symbol usb_init_urb
ndiswrapper: Unknown symbol usb_buffer_alloc

This is on the latest couple of kernels the example above is from. I can see the
symbols in System.map:

# nm driver/ndiswrapper.ko | grep usb_alloc_urb
U usb_alloc_urb
# grep usb_alloc_urb /boot/System.map-2.6.25-0.65.rc2.git7.fc9
ffffffff811d0eef T usb_alloc_urb
ffffffff813bd8d0 r __ksymtab_usb_alloc_urb
ffffffff813cd9f8 r __kstrtab_usb_alloc_urb

The same build steps work find for F<=8 and RHEL. There are no warnings/errors
in the build either (?).

Thanks!

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.build and try to insmod ndiswrapper (no need for a card to be present)
2.
3.
  
Actual results:
See above

Expected results:
The module should load w/o missing symbols

Additional info:
I'm not sure whether this is a kernel or module-init-tools issue.
Comment 1 Chuck Ebbert 2008-03-01 12:13:54 EST
Gitweb:    
http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=782e70c6fc2290a0395850e8e02583b8b62264d8
Commit:     782e70c6fc2290a0395850e8e02583b8b62264d8
Parent:     667d691ed7a70c9a9fde5b6bd663a5f38326e026
Author:     Greg Kroah-Hartman <gregkh@suse.de>
AuthorDate: Fri Jan 25 11:12:21 2008 -0600
Committer:  Greg Kroah-Hartman <gregkh@suse.de>
CommitDate: Fri Feb 1 14:35:07 2008 -0800

    USB: mark USB drivers as being GPL only
Comment 2 Dave Jones 2008-03-01 13:28:15 EST
this is going to have to be something that's worked out upstream.
deviating away from upstreams licensing intents is not an option.
Comment 3 Axel Thimm 2008-03-03 22:49:58 EST
Thanks for the info. I guess I'll have to wait until the rtl8187 driver in the
kernel adds support for 8187b. :/

Note You need to log in before you can comment on or make changes to this bug.